﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MVPDemo4
{
    /// <summary>
    /// Interaction logic for PanelView.xaml
    /// </summary>
    public partial class PanelView : Window, IPanelView
    {
        public PanelView()
        {
            InitializeComponent();
        }

        public PanelView(PanelViewModel viewModel)
            : this()
        {
            this.Model = viewModel;
            this.Model.View = this;
        }

        public PanelViewModel Model
        {
            get
            {
                return this.DataContext as PanelViewModel;
            }
            set
            {
                this.DataContext = value;
            }
        }
    }
}
