﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

using Microsoft.Practices.Composite.Presentation.Commands;

namespace MVPDemo4
{
    public class PanelViewModel
    {
        public PanelViewModel()
        {
            this.Panel = new PanelInfo() { Name = "Bao, Jianqiang" };

            this.ClickCommand = new DelegateCommand<object>(OnClick, arg => true);
        }

        public void OnClick(object obj)
        {
            this.Panel.Name = "Jax.Bao";
        }

        public DelegateCommand<object> ClickCommand { get; set; }

        public PanelInfo Panel { get; set; }

        public IPanelView View { get; set; }
    }
}